package banknet

import (
	"fmt"
	"log"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически опрашивает банк, собирает ресурсы, отдаёт задачу на опрос банка.
*/

// BankNet -- обзор базы
type BankNet struct {
	*sectionnet.SectionNet
}

// NewBankNet -- возвращает новый *BankNet
func NewBankNet(bank types.ИБанк) (*BankNet, error) {
	log.Printf("NewBankNet()\n")
	sectionNet, err := sectionnet.NewSectionNet(bank, "https://wartank.ru/production/Bank")
	if err != nil {
		return nil, fmt.Errorf("NewBankNet(): in create *SectionNet, err=\n\t%w", err)
	}

	sf := &BankNet{
		SectionNet: sectionNet,
	}

	return sf, nil
}
